summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/lshw/lshw.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/system/lshw/lshw.SlackBuild b/system/lshw/lshw.SlackBuild
index d48aa9d283..b9c976d25c 100644
--- a/system/lshw/lshw.SlackBuild
+++ b/system/lshw/lshw.SlackBuild
@@ -44,12 +44,8 @@ RPM_OPT_FLAGS="$SLKCFLAGS" MANDIR="/usr/man" make gui
make install DESTDIR=$PKG
make install-gui DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;